package com.bonus.system.file.util;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class SystemUtils {

    public static String windowsPath;


    public static String linuxPath;

    /**
     * 自动注入
     *
     * @param windowsPath
     */
    @Value("${file.upload_path.windows}")
    public void setWindowsPath(String windowsPath) {
        SystemUtils.windowsPath = windowsPath;
    }

    /**
     * 自动注入
     *
     * @param linuxPath
     */
    @Value("${file.upload_path.linux}")
    public void setLinuxPath(String linuxPath) {
        SystemUtils.linuxPath = linuxPath;
    }

    /**
     * 返回系统
     *
     * @return
     */
    public static String getSystem() {
        String os = System.getProperty("os.name");
        //Windows操作系统
        if (os != null && os.toLowerCase().startsWith("windows")) {
            return "windows";
        } else if (os != null && os.toLowerCase().startsWith("linux")) {//Linux操作系统
            return "linux";
        } else { //其它操作系统
            return "other";
        }
    }

    /**
     * 获取文件上传路径
     *
     * @return
     */
    public static String getUploadPath() {
        String os = getSystem();
        System.err.println("当前系统是=" + os);
        if ("windows".equals(os)) {
            return windowsPath;
        } else if ("linux".equals(os)) {
            return linuxPath;
        } else {
            return windowsPath;
        }
    }



}
